-11

Would it be possible to at least encourage users to add the version of IE they are using when asking an IE related question?

There are so many issues that are version specific in Internet Explorer.

It would help everyone if we could at least encourage people asking Internet Explorer related questions to add the version they are using.

  • 9
    Define 'mandatory'. – Undo Jan 20 '14 at 13:33
  • 2
    Sure mentioning the version is good idea (and not just for IE, but other languages and tools that may have some version specific behavior). But what do you want to do about it? How do you want to encourage them? How would you even detect that they did or didn't mention a version number? – psubsee2003 Jan 20 '14 at 13:37
  • Unfortunately, the only viable way to do this is to ask - even though I wouldn't be opposed to showing some tag-related tips prior to asking – Pëkka Jan 20 '14 at 13:42
  • @Undo: maybe through tags, ie. not let the user post his question unless a IE version tag is added (that's just an idea) – Adrien Be Jan 20 '14 at 13:44
  • @psubsee2003: encourage them maybe by a message (after posting the question) under the question saying "your question might be version specific, if so please add the relevant tag" – Adrien Be Jan 20 '14 at 14:23
  • 2
    upvoted, because I agree it's an issue and I've lost count of the number of times I've asked "which IE versions are you testing?". However despite the upvote, I don't think it's practical to actually try to do anything about it. In any case, most IE questions aren't really about a single specific version; they're about "a specific version or higher", or about "a specific version or lower". Plus a lot of questions don't even know which versions they need to ask about. – Spudley Jan 20 '14 at 14:24
  • @Pëkka: yes, maybe more tag-related tips or other "stronger" suggestion mechanism? – Adrien Be Jan 20 '14 at 14:25
  • Maybe a good use for that tag-suggestion feature that keeps suggesting I tag javascript stuff with jquery? Or is that thing fully automatic? Anyway it would make much more sense for things like languages or platforms, where the asker has a specific version, wants his code to run on that version, and doesn't really care about other versions. Seems rare that someone only cares if something works in a particular version of IE. – The Community Jan 20 '14 at 14:34
  • @TheCommunity: here I am not talking about trying to design something that only works in a version of IE. But talking about a problem that happens when using a specific version of IE. It is very commonto want a feature to work across IE versions: from IE8 until IE11 at the time of writing. This is something front end developers have to face all the time unfortunately. – Adrien Be Jan 20 '14 at 15:18
  • @AdrienBe so, questions like "why doesn't this work in IE 8," but it's not tagged [ie8]? I guess we could just add the tag in that case. Or "why doesn't this work in IE," but they don't say which version? Someone will ask... – The Community Jan 20 '14 at 15:20
  • Although that auto-suggest feature could probably be tweaked to look in the body of the question for IE versions and suggest that tag, maybe. Wouldn't help with people who don't mention a specific version at all, but in those cases it's probably broken in multiple versions anyway – The Community Jan 20 '14 at 15:31
  • @TheCommunity: well, you'd think so, but I am surprised to come across some questions which have been posted years ago & still don't have a version mentioned: neither in the title, content, nor in tags, nor in replies since the question is too vague. "the question being too vague" is a condition that triggers the closure of a question as far as I know. I'm not asking for this extreme solution tho. – Adrien Be Jan 20 '14 at 22:07
  • @TheCommunity: "in those cases it's probably broken in multiple versions anyway", in a way you're right, if a UI feature does not work in IE8, it also does not work in below versions. However, most of front end developers will only worry about IE8 as this is typically the version they'd promised their client their website would "start" working with. IE8 is still used by around 20% of desktop users (yes it sucks!). – Adrien Be Jan 20 '14 at 22:12
6

There are many questions that are specific to Internet Explorer in general, or to more than single version. So it's not viable to blacklist tag (although many people would probably dream about it).

The best way is to improve the tag wiki and state clear, when to use generic tag, and when to use version-specific tag. Of course it will work only on wiki-reading users, but it's still better than nothing. Tag summary is displayed on mouse over, so it really should be visible for folks there.

Version specific tags are much more general problem, that applies to various libraries as well. If wikis are not helping, there are burninate and retag requests on data. This is the way the community keeps (a bit) order here.

  • I agree, blacklisting the internet-explorer tag is probably too radical. However, I believe that improving the tag wiki is not very good at encouraging users to use version-specific tags. Something more dynamic would be nice. As @Pekka suggest "showing some tag-related tips prior to asking" could be the start of a solution. – Adrien Be Jan 20 '14 at 15:23
1

The idea of forcing users to add specific version tags when a another tag is added has been proposed before.

In one specific example, Force the OP to add their python version as a tag, along with the python tag, the user wanted to require a tag for a specific version number when the tag was used. The logic made sense, there were some significant changes in a recent version of python so the version number becomes very important in trying to answer the question.

However, in my answer, I pointed out that specific requirements such as this is not practical for 4 reasons:

  1. Isn't it possible there is a generic python question that doesn't need a version tag? What is this user supposed to do? Add a version number that isn't applicable just to satisfy this requirement?
  2. What if a new version comes out? Someone now has to remember to add the new version to the acceptable version tags.
  3. And if a question comes up before a new version tag is added, how do you want to handle it? There is a minimum rep for creating tags, so low rep users will never be able to add a version specific tag.
  4. Doing this opens a flood-gate of other tags that now want to require a specific version tag but not all tags need this, so you end up with more of a confusing mix of behaviors depending on the specific tag.

In the end, the tag wiki and/or a comment on the post are the best ways to address this. You can edit a note into the tag wiki to suggest users add information about their version, either via tag or in the body of the post. You can also leave a comment to the OP suggesting the specify their version.

  • if we could at least display a message such as "you might want to add the relevant version as a tag to your question to get an answer more quickly". Then we'll save everyone some time & also decrease the number of unanswered questions. – Adrien Be Jan 20 '14 at 15:27
  • @AdrienBe that's a better solution, but you still have to deal with (1) annoying users and cluttering up the UI, and (2) cases where a general question does not need a version specific tag. And I'm not necessarily referring to IE but any other tag where the users think a required version specific tag would be needed. – psubsee2003 Jan 20 '14 at 20:23
  • (1) annoying users: we're all learning, it's all about helping the users to create a "good" question. cluttering up the UI: the benefit of this feature is high enough to add this message. (2) The user could still ignore this message if he's certain this is not a version specific tag, & even mention it in his question (to clarify it). Finally, I'm not suggesting to get this feature on other topics but for IE only, then if it works fine, then great & apply this logic on topics having similar issues if needed. IE has many inconsistencies btwn versions, I see a special case here. – Adrien Be Jan 20 '14 at 22:24
1

We have the same issue in the SQL Server realm. Unfortunately it's not possible to make a version-specific tag mandatory, since not all questions are about a specific version, and others can be about many versions (IE 7, 8, 9 and 10 let's say - not much room for other tags then).

The other problem with tagging as a specific version is that can appear to become stale over time. A new version of IE comes out, okay, is this question (and more importantly, its answers) still relevant? Who keeps its tags up to date, or updates the answers to account for new versions?

Again, a SQL Server example: we often get questions closed as duplicates of really old questions, even though newer versions of SQL Server provide much better ways to do something. In those cases it would be nice to go back and say "this question is good for version x and lower" - unfortunately often newer answers have been added, and it's only the most highly up-voted and/or accepted answers - which have been there the longest - that are no longer the best way to do things in current versions. Still, I feel that in general, tagging with a specific version is usually only useful when it is about a feature or problem that exists only in that version. And that is pretty rare in the technologies I work with.

Tagging with a minimum version is often more important, since features added in version x usually also exist in version x + n, but I still don't think it is necessary or should be mandatory. When I know an answer may depend on version, I ask. This is almost certainly going to be more effective than trying to automate forcing them to specify a version in any way.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .